using System.ComponentModel.DataAnnotations;

namespace CtrlAltAssist.Components.UI;

public class ContactUsFormModel
{
    [Required(ErrorMessage = "Name is required.")]
    [StringLength(100, MinimumLength = 3, ErrorMessage = "Name must be between 3 and 100 characters.")]
    public string name { get; set; }


    [Required(ErrorMessage = "Email is required.")]
    [EmailAddress(ErrorMessage = "Invalid email address.")]
    public string email { get; set; } = string.Empty;


    [Required(ErrorMessage = "Message is required.")]
    [StringLength(250, MinimumLength = 3, ErrorMessage = "Message must be between 3 and 250 characters.")]
    public string message { get; set; } = string.Empty;
}
